export declare class Cache<K, V> {
    private readonly _keys;
    /**
     * @param key The key of the cache
     * @returns {*} The value of the cache as set by the `set` method.
     */
    get(key: K): V | undefined;
    /**
     * @param key The key of the cache
     * @param createValue A callback to create the value of the cache if it is needed.
     * @param version The version of the cache. If the version is smaller than the current version, the cache will not be updated.
     */
    set(key: K, createValue: (...args: unknown[]) => V, version: number): void;
}
//# sourceMappingURL=cache.d.ts.map