import { BaseLayout } from "./base-layout.js";
import { Edge } from "./edge.js";
import { Graph } from "./graph.js";
export declare class GraphEngine extends EventTarget {
    private readonly _graph;
    private readonly _layout;
    private readonly _cache;
    private _layoutDirty;
    private _transactionInProgress;
    constructor(graph: Graph, layout: BaseLayout);
    /** Getters */
    getNodes: () => Node[];
    getEdges: () => Edge[];
    getNodePosition: (node: any) => [number, number];
    getEdgePosition: (edge: any) => {
        type: string;
        sourcePosition: number[];
        targetPosition: number[];
        controlPoints: any[];
    };
    getGraphVersion: () => number;
    getLayoutLastUpdate: () => number;
    getLayoutState: () => string;
    /** Operations on the graph */
    lockNodePosition: (node: any, x: any, y: any) => void;
    unlockNodePosition: (node: any) => void;
    /**
     * @fires GraphEngine#onLayoutStart
     */
    _onLayoutStart: () => void;
    /**
     * @fires GraphEngine#onLayoutChange
     */
    _onLayoutChange: () => void;
    /**
     * @fires GraphEngine#onLayoutDone
     */
    _onLayoutDone: () => void;
    /**
     * @fires GraphEngine#onLayoutError
     */
    _onLayoutError: () => void;
    _onGraphStructureChanged: (entity: any) => void;
    _onTransactionStart: () => void;
    _onTransactionEnd: () => void;
    /** Layout calculations */
    run: () => void;
    clear: () => void;
    resume: () => void;
    stop: () => void;
    _graphChanged: () => void;
    _updateLayout: () => void;
    _updateCache(key: any, updateValue: any): void;
}
//# sourceMappingURL=graph-engine.d.ts.map