import { GraphEngine } from "./graph-engine.js";
import { Node } from "./node.js";
interface EventMap {
    onClick?: (info: unknown, event: Event) => void;
    onHover?: (info: unknown) => void;
    onMouseEnter?: (info: unknown) => void;
    onMouseLeave?: (node: Node) => void;
    onDragStart?: (info: unknown) => void;
    onDrag?: (info: unknown) => void;
    onDragEnd?: (info: unknown) => void;
}
export interface InteractionManagerProps {
    nodeEvents?: EventMap;
    edgeEvents?: EventMap;
    engine: GraphEngine;
    enableDragging: boolean;
    resumeLayoutAfterDragging: boolean;
}
export declare class InteractionManager {
    notifyCallback: Function;
    private _lastInteraction;
    private _lastHoveredNode;
    private _lastSelectedNode;
    nodeEvents: EventMap;
    edgeEvents: EventMap;
    engine: GraphEngine;
    enableDragging: boolean;
    resumeLayoutAfterDragging: boolean;
    constructor(props: InteractionManagerProps, notifyCallback: Function);
    updateProps({ nodeEvents, edgeEvents, engine, enableDragging, resumeLayoutAfterDragging }: InteractionManagerProps): void;
    getLastInteraction(): number;
    onClick(info: any, event: any): void;
    _mouseLeaveNode(): void;
    _mouseEnterNode(info: any): void;
    onHover(info: any, event: any): void;
    onDragStart(info: any, event: any): void;
    onDrag(info: any, event: any): void;
    onDragEnd(info: any, event: any): void;
}
export {};
//# sourceMappingURL=interaction-manager.d.ts.map