import { CompositeLayer } from '@deck.gl/core';
import { CircleLayer } from "./node-layers/circle-layer.js";
import { ImageLayer } from "./node-layers/image-layer.js";
import { LabelLayer } from "./node-layers/label-layer.js";
import { RectangleLayer } from "./node-layers/rectangle-layer.js";
import { ZoomableMarkerLayer } from "./node-layers/zoomable-marker-layer.js";
import { EdgeLayer } from "./edge-layer.js";
import { EdgeLabelLayer } from "./edge-layers/edge-label-layer.js";
import { FlowLayer } from "./edge-layers/flow-layer.js";
export declare class GraphLayer extends CompositeLayer {
    static defaultProps: {
        pickable: boolean;
    };
    forceUpdate: () => void;
    constructor(props: any);
    initializeState(): void;
    shouldUpdateState({ changeFlags }: {
        changeFlags: any;
    }): any;
    updateState({ props }: {
        props: any;
    }): void;
    finalize(): void;
    createNodeLayers(): (CircleLayer | ImageLayer | LabelLayer | RectangleLayer | ZoomableMarkerLayer)[];
    createEdgeLayers(): (EdgeLayer | (EdgeLabelLayer | FlowLayer)[])[];
    onClick(info: any, event: any): boolean;
    onHover(info: any, event: any): boolean;
    onDragStart(info: any, event: any): void;
    onDrag(info: any, event: any): void;
    onDragEnd(info: any, event: any): void;
    renderLayers(): ((EdgeLayer | (EdgeLabelLayer | FlowLayer)[])[] | (CircleLayer | ImageLayer | LabelLayer | RectangleLayer | ZoomableMarkerLayer)[])[];
}
//# sourceMappingURL=graph-layer.d.ts.map