// deck.gl-community
// SPDX-License-Identifier: MIT
// Copyright (c) vis.gl contributors
import { createGraph } from "../utils/create-graph.js";
import { basicNodeParser } from "./node-parsers.js";
import { basicEdgeParser } from "./edge-parsers.js";
import { log } from "../utils/log.js";
export const JSONLoader = ({ json, nodeParser = basicNodeParser, edgeParser = basicEdgeParser }) => {
    const { name = 'default', nodes, edges } = json;
    if (!nodes) {
        log.error('Invalid graph: nodes is missing.')();
        return null;
    }
    const graph = createGraph({ name, nodes, edges, nodeParser, edgeParser });
    return graph;
};
