export declare const fs = "#define SHADER_NAME flow-path-layer-fragment-shader\n\nprecision highp float;\n\nvarying vec4 vColor;\nvarying float segmentIndex;\nvarying float speed;\nvarying float offset;\nvarying float pathLength;\nvarying float tailLength;\n\nvoid main(void) {\n  gl_FragColor = vColor;\n\n  // use highlight color if this fragment belongs to the selected object.\n  gl_FragColor = picking_filterHighlightColor(gl_FragColor);\n\n  // use picking color if rendering to picking FBO.\n  gl_FragColor = picking_filterPickingColor(gl_FragColor);\n\n  if (speed == 0.0) {\n    gl_FragColor = vec4(0.0, 0.0, 0.0, 0.0);\n  } else {\n    // the portion of the visible segment (0 to 1) , ex: 0.3\n    // edge cases: pathLength = 0 or tailLength > pathLength\n    float segFragment = 0.0;\n    if (pathLength != 0.0) {\n      segFragment = tailLength / pathLength;\n    }\n    if (tailLength > pathLength) {\n      segFragment = 1.0;\n    }\n    float startSegmentIndex = mod(offset, 60.0) / 60.0;\n    // the end offset, cap to 1.0 (end of the line)\n    float endSegmentIndex = min(startSegmentIndex + segFragment, 1.0);\n    if (segmentIndex < startSegmentIndex || segmentIndex > endSegmentIndex) {\n      gl_FragColor = vec4(0.0, 0.0, 0.0, 0.0);\n    } else {\n      // fading tail\n      float portion = (segmentIndex - startSegmentIndex) / segFragment;\n      gl_FragColor[3] = portion;\n    }\n  }\n}\n";
//# sourceMappingURL=flow-path-layer-fragment.glsl.d.ts.map